#ifndef MEMORY_KERNEL_H
#define MEMORY_KERNEL_H

#include <types.h>

/* These are hardcoded for now */
#define KERNBASE 0x80000000L
#define PHYSTOP  (KERNBASE + 128 * 1024 * 1024)

/**
 * Returns size in bytes of detected RAM In qemu, it requires a trap handler to
 * handle the interrupt when accessing unavailable memory.
 */
size_t probe_memory(void);

#endif
